﻿using System;
using System.ComponentModel;
using System.Windows;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// 샘플 바인딩 리스트
        /// </summary>
        private BindingList<Sample> sampleBindingList;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            this.sampleBindingList = new BindingList<Sample>();

            for(int i = 0; i < 5; i++)
            {
                this.sampleBindingList.Add
                (
                    new Sample()
                    {
                        Text1 = Guid.NewGuid().ToString(), 
                        Text2 = "text2 " + i,
                        Text3 = "text3 " + i
                    }
                );
            }

            this.gridControl.ItemsSource = sampleBindingList;
        }

        #endregion
    }
}